Bug 1413399 - Review Request: wcstools - Software utilities to display and manipulate the WCS of a FITS image
Summary: Review Request: wcstools - Software utilities to display and manipulate the W...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Astronomy-SIG
TreeView+ depends on / blocked
 
Reported: 2017-01-15 18:55 UTC by Mattia Verga
Modified: 2017-01-17 17:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 17:28:02 UTC
Type: ---
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Mattia Verga 2017-01-15 18:55:08 UTC
Spec URL: https://mattia.fedorapeople.org/wcstools.spec
SRPM URL: https://mattia.fedorapeople.org/wcstools-3.9.4-1.fc26.src.rpm
Description: Wcstools is a set of software utilities, written in C, which create, display and manipulate the world coordinate system of a FITS or IRAF image, using specific keywords in the image header which relate pixel position within the image to position on the sky. Auxillary programs search star catalogs and manipulate images.
Fedora Account System Username: mattia

This is a re-review request for unretire wcstools package

Comment 1 Christian Dersch 2017-01-15 23:39:11 UTC
Taken, will review soon! Thank you very much for this, I already thought about this package too :)

Comment 2 Christian Dersch 2017-01-16 09:26:15 UTC
Koji scratch build (rawhide): https://koji.fedoraproject.org/koji/taskinfo?taskID=17299795

Comment 3 Christian Dersch 2017-01-16 09:28:58 UTC
Package is fine => Approved! Just use the %license tag for the COPYING files, but as you can do this on import easily it is not a showstopper here. Also thank you to use Debian patch to rename the library, other distributions use this too => We have it similar in different distributions :)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

===> Please use the %license tag for COPYING

- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/package/wcstools
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names

===> We will unretire this package => Fine


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 194560 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.

===> Is ok in this case, we get build issues otherwise... Comment added in spec => Fine

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     wcstools-libs , wcstools-devel , wcstools-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

===> Koji build succeded https://koji.fedoraproject.org/koji/taskinfo?taskID=17299795 

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wcstools-3.9.4-1.fc26.x86_64.rpm
          wcstools-libs-3.9.4-1.fc26.x86_64.rpm
          wcstools-devel-3.9.4-1.fc26.x86_64.rpm
          wcstools-debuginfo-3.9.4-1.fc26.x86_64.rpm
          wcstools-3.9.4-1.fc26.src.rpm
wcstools.x86_64: W: no-manual-page-for-binary cphead
wcstools.x86_64: W: no-manual-page-for-binary getdate
wcstools.x86_64: W: no-manual-page-for-binary newfits
wcstools.x86_64: W: no-manual-page-for-binary immatch
wcstools.x86_64: W: no-manual-page-for-binary imresize
wcstools.x86_64: W: no-manual-page-for-binary gettab
wcstools.x86_64: W: no-manual-page-for-binary filext
wcstools.x86_64: W: no-manual-page-for-binary addpix
wcstools.x86_64: W: no-manual-page-for-binary sp2char
wcstools.x86_64: W: no-manual-page-for-binary imstack
wcstools.x86_64: W: no-manual-page-for-binary filename
wcstools.x86_64: W: no-manual-page-for-binary remap
wcstools.x86_64: W: no-manual-page-for-binary bincat
wcstools.x86_64: W: no-manual-page-for-binary imsmooth
wcstools.x86_64: W: no-manual-page-for-binary fixpix
wcstools.x86_64: W: no-manual-page-for-binary fileroot
wcstools.x86_64: W: no-manual-page-for-binary isrange
wcstools.x86_64: W: no-manual-page-for-binary getpix
wcstools.x86_64: W: no-manual-page-for-binary subpix
wcstools.x86_64: W: no-manual-page-for-binary conpix
wcstools.x86_64: W: no-manual-page-for-binary isfile
wcstools.x86_64: W: no-manual-page-for-binary getfits
wcstools.x86_64: W: no-manual-page-for-binary isfits
wcstools.x86_64: W: no-manual-page-for-binary char2sp
wcstools.x86_64: W: no-manual-page-for-binary crlf
wcstools.x86_64: W: no-manual-page-for-binary imfill
wcstools.x86_64: W: no-manual-page-for-binary sumpix
wcstools.x86_64: W: no-manual-page-for-binary imextract
wcstools-libs.x86_64: W: spelling-error %description -l en_US libwcs -> libels
wcstools-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libwcstools.so.1.0.0 exit@GLIBC_2.2.5
wcstools-libs.x86_64: E: incorrect-fsf-address /usr/share/doc/wcstools-libs/COPYING
wcstools-devel.x86_64: W: only-non-binary-in-usr-lib
wcstools-devel.x86_64: E: incorrect-fsf-address /usr/share/doc/wcstools-devel/COPYING
5 packages and 0 specfiles checked; 2 errors, 31 warnings.

===> You should report the wrong FSF address upstream.


Rpmlint (debuginfo)
-------------------
Checking: wcstools-debuginfo-3.9.4-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
wcstools-devel.x86_64: W: only-non-binary-in-usr-lib
wcstools-devel.x86_64: E: incorrect-fsf-address /usr/share/doc/wcstools-devel/COPYING
wcstools-libs.x86_64: W: spelling-error %description -l en_US libwcs -> libels
wcstools-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libwcstools.so.1.0.0 exit@GLIBC_2.2.5
wcstools-libs.x86_64: E: incorrect-fsf-address /usr/share/doc/wcstools-libs/COPYING
wcstools.x86_64: W: no-manual-page-for-binary addpix
wcstools.x86_64: W: no-manual-page-for-binary bincat
wcstools.x86_64: W: no-manual-page-for-binary char2sp
wcstools.x86_64: W: no-manual-page-for-binary conpix
wcstools.x86_64: W: no-manual-page-for-binary cphead
wcstools.x86_64: W: no-manual-page-for-binary crlf
wcstools.x86_64: W: no-manual-page-for-binary filename
wcstools.x86_64: W: no-manual-page-for-binary fileroot
wcstools.x86_64: W: no-manual-page-for-binary filext
wcstools.x86_64: W: no-manual-page-for-binary fixpix
wcstools.x86_64: W: no-manual-page-for-binary getdate
wcstools.x86_64: W: no-manual-page-for-binary getfits
wcstools.x86_64: W: no-manual-page-for-binary getpix
wcstools.x86_64: W: no-manual-page-for-binary gettab
wcstools.x86_64: W: no-manual-page-for-binary imextract
wcstools.x86_64: W: no-manual-page-for-binary imfill
wcstools.x86_64: W: no-manual-page-for-binary immatch
wcstools.x86_64: W: no-manual-page-for-binary imresize
wcstools.x86_64: W: no-manual-page-for-binary imsmooth
wcstools.x86_64: W: no-manual-page-for-binary imstack
wcstools.x86_64: W: no-manual-page-for-binary isfile
wcstools.x86_64: W: no-manual-page-for-binary isfits
wcstools.x86_64: W: no-manual-page-for-binary isrange
wcstools.x86_64: W: no-manual-page-for-binary newfits
wcstools.x86_64: W: no-manual-page-for-binary remap
wcstools.x86_64: W: no-manual-page-for-binary sp2char
wcstools.x86_64: W: no-manual-page-for-binary subpix
wcstools.x86_64: W: no-manual-page-for-binary sumpix
4 packages and 0 specfiles checked; 2 errors, 31 warnings.



Requires
--------
wcstools-devel (rpmlib, GLIBC filtered):
    libwcstools.so.1()(64bit)
    wcstools-libs(x86-64)

wcstools-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

wcstools-debuginfo (rpmlib, GLIBC filtered):

wcstools (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libwcstools.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
wcstools-devel:
    wcstools-devel
    wcstools-devel(x86-64)

wcstools-libs:
    libwcstools.so.1()(64bit)
    wcstools-libs
    wcstools-libs(x86-64)

wcstools-debuginfo:
    wcstools-debuginfo
    wcstools-debuginfo(x86-64)

wcstools:
    wcstools
    wcstools(x86-64)



Source checksums
----------------
http://tdc-www.harvard.edu/software/wcstools/wcstools-3.9.4.tar.gz :
  CHECKSUM(SHA256) this package     : 92aceebb7c4409706bd1d30abe020ab0516a2bf507719e60aede6498ce5e4b7d
  CHECKSUM(SHA256) upstream package : 92aceebb7c4409706bd1d30abe020ab0516a2bf507719e60aede6498ce5e4b7d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1413399
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Mattia Verga 2017-01-17 17:28:02 UTC
Thanks, I've built it in Rawhide; builds for EPEL7 and EL6 are running now, I will try to build it also for F25 if guys at releng will unblock that branch.


Note You need to log in before you can comment on or make changes to this bug.